add asset to module

The add asset to module API sends a POST request to insert an asset.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a module id.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Path Parameters
Field nameDescriptionFormat
idModule IDUUID
Request Body
Field nameDescriptionFormat
profileProfile nameString
fetchRequestsFetch request objects listArray
Response Body
Field nameDescriptionFormat
idsList of created asset IDsArray
Fetch Request Structure
Field nameDescriptionFormat
assetNameThe name of the assetString
programPathThe path to the programString
sourceModeThe source retrieval modeString
sourcePathThe source file pathString
sourcesSource file name-to-content mappingMap
parserThe source parser typeString

Examples

{
  "fetchRequests": [
    {
      "sourceMode": "upload",
      "assetName": "hello",
      "programPath": "HELLO",
      "sources": {
        "HELLO.cbl": "       IDENTIFICATION DIVISION.\r\n       PROGRAM-ID. HELLO."
      },
      "sourcePath": "",
      "parser": "COBOL"
    }
  ]
}
{
  "ids": [
    "00000000-0000-0000-0000-000000001111"
  ]
}
Path Params
string
required
Body Params
string
required
fetchRequests
array of objects
fetchRequests
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json